<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'DibPillar1Leadership',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <section>
      <div class="header-content">
        <SlpTypography variant="heading2-bold" tag="h3" class="slp-mb-16">
          {{ data.subtitle }}
        </SlpTypography>
        <SlpTypography variant="heading5" tag="div" class="slp-mb-64">
          <div v-html="$md.render(data.text)" />
        </SlpTypography>
      </div>
      <SlpRow>
        <SlpColumn :cols="6">
          <div class="cards-container">
            <div v-for="card in data.cards" :key="card.header" class="card">
              <SlpTypography variant="heading5-bold" tag="h3" class="slp-mb-24">
                {{ card.header }}
              </SlpTypography>
              <SlpTypography variant="body1" tag="div" class="slp-mb-24">
                <div class="card__text" v-html="$md.render(card.text)" />
              </SlpTypography>

              <div v-if="card.cta" class="card-cta">
                <SlpButton variant="tertiary">
                  <span>{{ card.cta.text }}</span>
                  <SlpIcon
                    class="learn-more-icon"
                    name="chevron-lg-right"
                    variant="product"
                  />
                </SlpButton>
              </div>
            </div>
          </div>
        </SlpColumn>
        <SlpColumn :cols="6">
          <div class="quote-container">
            <div class="quote-card">
              <div class="quote-content">
                <div class="quote-icon">
                  <SlpIcon
                    name="quote"
                    variant="marketing"
                    size="md"
                    class="quote-icon"
                  />
                </div>

                <SlpTypography variant="quotes" tag="p">
                  {{ data.quote.text }}
                </SlpTypography>
                <div class="slp-mt-16 quote-author">
                  <div>
                    <img :src="data.quote.img_link" alt="" />
                  </div>
                  <div>
                    <SlpTypography variant="body2-bold" tag="p">
                      {{ data.quote.name }}
                    </SlpTypography>
                    <SlpTypography variant="body2" tag="p">
                      {{ data.quote.title }}
                    </SlpTypography>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.header-content {
  h3 {
    display: block;
    max-width: 80%;
  }

  .slp-text-heading5 {
    display: block;
    max-width: 60%;
  }

  &:deep {
    a {
      text-decoration: underline;
      color: $color-text-300;

      &:hover {
        color: $color-text-link-100;
      }
    }
  }

  @media (max-width: $breakpoint-md) {
    h3,
    .slp-text-heading5 {
      max-width: 100%;
    }
  }
}

.cards-container {
  padding-right: 16px;

  @media (max-width: $breakpoint-md) {
    padding-right: 0;
  }
  .card {
    background: $color-surface-800;
    border-radius: 8px;
    padding: 32px;
    margin-bottom: 24px;

    &__text {
      color: $color-text-200;
    }
  }
}

.quote-container {
  padding-left: 16px;

  @media (max-width: $breakpoint-md) {
    padding-left: 0;
  }

  .quote-card {
    display: flex;
    padding: 48px;
    justify-content: space-between;
    gap: 64px;
    border: 1px solid;
    border-radius: 8px 8px 100px 8px;
    background: #ffffff;
    background-clip: padding-box;
    border: 1px solid transparent;
    position: relative;
    box-sizing: border-box;

    @media (max-width: $breakpoint-md) {
      padding: 48px 24px;
    }

    &:before {
      content: '';
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      z-index: -1;
      margin: -1px;
      border-radius: inherit;
      background: linear-gradient(
        93.78deg,
        rgba(227, 153, 93, 0.5) 8.53%,
        rgba(203, 146, 150, 0.5) 14.9%,
        rgba(127, 72, 214, 0.5) 95.91%
      );
    }
  }

  .quote-content {
    .quote-icon {
      margin-bottom: 24px;
    }
  }

  .quote-author {
    margin-top: 24px;
    display: flex;
    align-items: center;
    gap: 16px;

    @media (max-width: $breakpoint-md) {
      flex-wrap: wrap;
    }

    img {
      border-radius: 4px 4px 64px 4px;
    }
  }
}
</style>
